png {base} | R Documentation

## JPEG and PNG graphics devices

### Description

A graphics device for JPEG or PNG format bitmap files.

### Usage

    jpeg(filename = "Rplot.jpg", width = 480, height = 480, pointsize = 12,
         quality = 75, ...)
    png(filename ="Rplot.png", width = 480, height = 480, pointsize = 12, ...)

### Arguments

`filename` | the name of the output file.
`width` | the width of the device in pixels.
`height` | the height of the device in pixels.
`pointsize` | the default pointsize of plotted text.
`quality` | the `quality' of the JPEG image, as a percentage. Smaller values will give more compression but also more degradation of the image.
`dots` | additional arguments to the `X11` device.

### Details

Plots in PNG and JPEG format can easily be converted to many other bitmap formats, and both can be displayed in most modern web browsers. The PNG format is lossless and is best for line diagrams and blocks of solid colour. The JPEG format is lossy, but may be useful for image plots, for example.

### Value

A plot device is opened: nothing is returned to the R interpreter.

### Note

These are based on the `X11` device, so the additional arguments to that device work, but are rarely appropriate. The colour handling will be that of the `X11` device in use.

### Author(s)

Guido Masarotto and Brian Ripley

### See Also

`Devices`, `dev.print`, `bitmap`

### Examples

    ## copy current plot to a PNG file
    dev.print(png, file="myplot.png", width=480, height=480)